Get or create thread

get

Retrieve or create a thread for a customer on a specific channel and get its messages in multimodal format.

Authorizations
AuthorizationstringRequired

Bearer {apikey}

Path parameters
agentIdstringRequired

The ID of the agent.

customerIdstringRequired

The ID of the customer.

channelstringRequired

The channel name. Supported channels are: facebook, instagram, whatsapp, tiktok, telegram, widget_chatbot, or any channel starting with 'chatbot.' (e.g., 'chatbot.web', 'chatbot.mobile'). Note: For chatbot channels and widget_chatbot alias, the customer must have a widget_chatbot.id field. When using widget_chatbot, the API resolves to an existing chatbot.* thread for the customer.

Example: {"value":"facebook","summary":"Facebook channel"}
Query parameters
limitintegerOptional

Optional limit for the number of messages to return (starting from the last message). If not provided, returns all messages.

Responses
chevron-right
200

Successful Response

application/json
idstringRequired

The thread ID.

agentIdstringRequired

The agent ID.

customerIdstringRequired

The customer ID.

statusstringRequired

The thread status (e.g., 'active', 'inactive').

aiResponseStatusstringOptional

The AI response status (e.g., 'enabled', 'disabled').

createdAtstring · date-timeRequired

The thread creation timestamp.

updatedAtstring · date-timeRequired

The thread last update timestamp.

get
/v1/agents/{agentId}/customers/{customerId}/threads/{channel}

Last updated